org.apache.jmeter.gui.action

## Class HtmlReportGenerator

- java.lang.Object
- - org.apache.jmeter.gui.action.HtmlReportGenerator

-     public class HtmlReportGenerator
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CANNOT_CREATE_DIRECTORY`
    `static java.lang.String` | `ERROR_GENERATING`
    `static java.lang.String` | `HTML_REPORT_SUCCESS`
    `static java.lang.String` | `NO_DIRECTORY`
    `static java.lang.String` | `NO_FILE`
    `static java.lang.String` | `NOT_EMPTY_DIRECTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlReportGenerator(java.lang.String csvFilePath, java.lang.String userPropertiesFilePath, java.lang.String outputDirectoryPath)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTML_REPORT_SUCCESS

          public static final java.lang.String HTML_REPORT_SUCCESS

      See Also:
        Constant Field Values

    - #### ERROR_GENERATING

          public static final java.lang.String ERROR_GENERATING

      See Also:
        Constant Field Values

    - #### NO_FILE

          public static final java.lang.String NO_FILE

      See Also:
        Constant Field Values

    - #### NO_DIRECTORY

          public static final java.lang.String NO_DIRECTORY

      See Also:
        Constant Field Values

    - #### NOT_EMPTY_DIRECTORY

          public static final java.lang.String NOT_EMPTY_DIRECTORY

      See Also:
        Constant Field Values

    - #### CANNOT_CREATE_DIRECTORY

          public static final java.lang.String CANNOT_CREATE_DIRECTORY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlReportGenerator

          public HtmlReportGenerator(java.lang.String csvFilePath,
                                     java.lang.String userPropertiesFilePath,
                                     java.lang.String outputDirectoryPath)

  - ### Method Detail

    - #### run

          public java.util.List<java.lang.String> run()

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.